Bug 246115 - vgsplit should allow all pvs in vg to be split out (vgrename)
Summary: vgsplit should allow all pvs in vg to be split out (vgrename)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Milan Broz
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-28 16:35 UTC by Corey Marthaler
Modified: 2013-03-01 04:05 UTC (History)
6 users (show)

Fixed In Version: RHBA-2008-0378
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 15:39:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0378 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2008-05-20 19:32:48 UTC

Description Corey Marthaler 2007-06-28 16:35:38 UTC
Description of problem:
Currently if you try to split out all the pvs from a vg with out much space left
in the pvs, you'll get the following error:
"Cannot split: Nowhere to store metadata for new Volume Group"

[root@taft-01 ~]# pvscan
  PV /dev/sdb3   VG stripe_3_1422   lvm2 [90.82 GB / 0    free]
  PV /dev/sdb2   VG stripe_3_1422   lvm2 [90.82 GB / 48.00 MB free]
  PV /dev/sdb1   VG stripe_3_1422   lvm2 [90.82 GB / 52.00 MB free]
[root@taft-01 ~]# vgsplit stripe_3_1422 split_65 /dev/sdb3 /dev/sdb2 /dev/sdb1
  Cannot split: Nowhere to store metadata for new Volume Group


Version-Release number of selected component (if applicable):
lvm2-2.02.26-1.el5

How reproducible:
everytime

Comment 1 Milan Broz 2007-06-28 18:02:06 UTC
Fixed upstream.

Comment 2 RHEL Product and Program Management 2007-10-16 03:55:57 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Milan Broz 2008-01-18 00:23:38 UTC
In lvm2-2.02.30-1.el5.

Comment 5 Corey Marthaler 2008-03-31 19:29:09 UTC
The fix for this bug has been verified in lvm2-2.02.32-2.el5, however I'm
curious about an extra message that is given when running this cmd.

[root@hayes-03 ~]# pvscan
  PV /dev/etherd/e1.1p1   VG corey        lvm2 [1.27 TB / 0    free]
  PV /dev/etherd/e1.1p2   VG corey        lvm2 [1.27 TB / 0    free]
  PV /dev/etherd/e1.1p3   VG corey        lvm2 [1.27 TB / 0    free]
  PV /dev/etherd/e1.1p4   VG corey        lvm2 [1.27 TB / 0    free]
  PV /dev/etherd/e1.1p5   VG corey        lvm2 [1.27 TB / 0    free]
  PV /dev/etherd/e1.1p6   VG corey        lvm2 [1.27 TB / 2.41 GB free]
  PV /dev/sda2            VG VolGroup00   lvm2 [74.38 GB / 0    free]
  PV /dev/etherd/e1.1p7                   lvm2 [1.27 TB]
  Total: 8 [8.94 TB] / in use: 7 [7.67 TB] / in no VG: 1 [1.27 TB]
[root@hayes-03 ~]# vgsplit corey feist /dev/etherd/e1.1p[123456]
  Logical volumes in "corey" must be inactive
[root@hayes-03 ~]# vgchange -an corey
  0 logical volume(s) in volume group "corey" now active

# Why is 'Volume group "feist" not found' reported, should that 
be a new bug?
[root@hayes-03 ~]# vgsplit corey feist /dev/etherd/e1.1p[123456]
  Volume group "feist" not found
  New volume group "feist" successfully split from "corey"

[root@hayes-03 ~]# lvscan
  inactive          '/dev/feist/lv' [7.60 TB] inherit


Comment 7 errata-xmlrpc 2008-05-21 15:39:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0378.html



Note You need to log in before you can comment on or make changes to this bug.